org.eclipse.rdf4j.sail.lucene

## Class GeoRelationQuerySpec

- java.lang.Object
- - org.eclipse.rdf4j.sail.lucene.AbstractSearchQueryEvaluator
  - - org.eclipse.rdf4j.sail.lucene.GeoRelationQuerySpec

- All Implemented Interfaces:
    SearchQueryEvaluator

      public class GeoRelationQuerySpec
      extends AbstractSearchQueryEvaluator

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GeoRelationQuerySpec()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Var` | `getContextVar()`
    `Filter` | `getFilter()`
    `String` | `getFunctionValueVar()`
    `IRI` | `getGeoProperty()`
    `String` | `getGeoVar()`
    `QueryModelNode` | `getParentQueryModelNode()`
    `Literal` | `getQueryGeometry()`
    `String` | `getRelation()`
    `String` | `getSubjectVar()`
    `QueryModelNode` | `removeQueryPatterns()` Removes the query patterns and returns a placeholder where the query results could be placed.
    `void` | `setFilter(Filter f)`
    `void` | `setFunctionParent(QueryModelNode functionParent)`
    `void` | `setFunctionValueVar(String varName)`
    `void` | `setGeometryPattern(StatementPattern sp)`
    `void` | `setQueryGeometry(Literal shape)`
    `void` | `setRelation(String relation)`

    - ### Methods inherited from class org.eclipse.rdf4j.sail.lucene.AbstractSearchQueryEvaluator

      `replaceQueryPatternsWithResults`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GeoRelationQuerySpec

          public GeoRelationQuerySpec()

  - ### Method Detail

    - #### setRelation

          public void setRelation(String relation)

    - #### getRelation

          public String getRelation()

    - #### setFunctionParent

          public void setFunctionParent(QueryModelNode functionParent)

    - #### setQueryGeometry

          public void setQueryGeometry(Literal shape)

    - #### getQueryGeometry

          public Literal getQueryGeometry()

    - #### setFunctionValueVar

          public void setFunctionValueVar(String varName)

    - #### getFunctionValueVar

          public String getFunctionValueVar()

    - #### setGeometryPattern

          public void setGeometryPattern(StatementPattern sp)

    - #### getSubjectVar

          public String getSubjectVar()

    - #### getContextVar

          public Var getContextVar()

    - #### getGeoProperty

          public IRI getGeoProperty()

    - #### getGeoVar

          public String getGeoVar()

    - #### setFilter

          public void setFilter(Filter f)

    - #### getFilter

          public Filter getFilter()

    - #### getParentQueryModelNode

          public QueryModelNode getParentQueryModelNode()

    - #### removeQueryPatterns

          public QueryModelNode removeQueryPatterns()

      Description copied from interface: `SearchQueryEvaluator`
      Removes the query patterns and returns a placeholder where the query results could be placed.

Copyright © 2015-2022 Eclipse Foundation. All Rights Reserved.